/*
 * Agent.java
 *
 * Created on June 20, 2007, 4:16 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package batch;

import sim.util.*;
import sim.engine.*;
import java.awt.*;
import sim.portrayal.simple.*;


/**
 *
 * @author Edward
 */
public class Agent extends OvalPortrayal2D {
    public double velocity;
    public double x,y;
    public Double2D loc = new Double2D(x,y);
    public double angle;
    public double diam = 2;
    public boolean apoptotic = false;
    public boolean edible = false;
    public boolean necrotic = false;
    public boolean dead = false;
    public boolean isaPhage = false;
    Color agentCol = Color.blue;
    public int numApopEaten = 0;
    public int numNecEaten = 0;
            
    public String getType() {return "Agent";}
    
    /** Creates a new instance of Agent */
    public Agent(double v, double a) {
        this.velocity = v;
        this.angle = a;
        this.setState(agentCol, diam);
        
    }
    
    void setState(Color c, double d) {
        paint = c;
        scale = d;
    }
    
    void moveAgent() {
        this.loc = new Double2D (x+velocity*(Math.cos(angle)),y+velocity*(Math.sin(angle)));
    }

}
